flink-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ches...@apache.org
Subject flink git commit: [FLINK-7176] [travis] Improve error handling
Date Fri, 21 Jul 2017 07:09:42 GMT
Repository: flink
Updated Branches:
  refs/heads/release-1.3 39f5b1144 -> 20ddb46b7


[FLINK-7176] [travis] Improve error handling

This closes #4329.


Project: http://git-wip-us.apache.org/repos/asf/flink/repo
Commit: http://git-wip-us.apache.org/repos/asf/flink/commit/20ddb46b
Tree: http://git-wip-us.apache.org/repos/asf/flink/tree/20ddb46b
Diff: http://git-wip-us.apache.org/repos/asf/flink/diff/20ddb46b

Branch: refs/heads/release-1.3
Commit: 20ddb46b7944162c9cb1cfbd7d1658a6a88246fe
Parents: 39f5b114
Author: zentol <chesnay@apache.org>
Authored: Thu Jul 13 17:53:40 2017 +0200
Committer: zentol <chesnay@apache.org>
Committed: Thu Jul 20 19:34:00 2017 +0200

----------------------------------------------------------------------
 tools/travis_mvn_watchdog.sh | 18 +++++++++++++-----
 1 file changed, 13 insertions(+), 5 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/flink/blob/20ddb46b/tools/travis_mvn_watchdog.sh
----------------------------------------------------------------------
diff --git a/tools/travis_mvn_watchdog.sh b/tools/travis_mvn_watchdog.sh
index 08fa423..ba3825c 100755
--- a/tools/travis_mvn_watchdog.sh
+++ b/tools/travis_mvn_watchdog.sh
@@ -172,7 +172,7 @@ check_shaded_artifacts() {
 		echo "=============================================================================="
 		echo "Detected $ASM asm dependencies in fat jar"
 		echo "=============================================================================="
-		exit 1
+		return 1
 	fi
 	 
 	GUAVA=`cat allClasses | grep '^com/google/common' | wc -l`
@@ -180,7 +180,7 @@ check_shaded_artifacts() {
 		echo "=============================================================================="
 		echo "Detected $GUAVA guava dependencies in fat jar"
 		echo "=============================================================================="
-		exit 1
+		return 1
 	fi
 
 	SNAPPY=`cat allClasses | grep '^org/xerial/snappy' | wc -l`
@@ -188,8 +188,9 @@ check_shaded_artifacts() {
 		echo "=============================================================================="
 		echo "Missing snappy dependencies in fat jar"
 		echo "=============================================================================="
-		exit 1
+		return 1
 	fi
+	return 0
 }
 
 # =============================================================================
@@ -225,10 +226,17 @@ echo "MVN exited with EXIT CODE: ${EXIT_CODE}."
 rm $MVN_PID
 rm $MVN_EXIT
 
-check_shaded_artifacts
-
 put_yarn_logs_to_artifacts
 
+if [ $EXIT_CODE == 0 ]; then
+	check_shaded_artifacts
+	EXIT_CODE=$?
+else
+	echo "=============================================================================="
+	echo "Compilation/test failure detected, skipping shaded dependency check."
+	echo "=============================================================================="
+fi
+
 upload_artifacts_s3
 
 # since we are in flink/tools/artifacts


Mime
View raw message